package cn.com.ctop.kuaishou.modules.batch.service;

import cn.com.ctop.kuaishou.modules.batch.entity.KuaiShouGroupTemplate;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @Description: 创建组模板
 * @Author: jeecg-boot
 * @Date: 2020-12-15
 * @Version: V1.0
 */
public interface IKuaiShouGroupTemplateService extends IService<KuaiShouGroupTemplate> {

    JSONObject submitUnitTask(JSONObject requestJson) throws Exception;

    void createUnit(KuaiShouGroupTemplate template);

    /**
     * 获取api创建数
     *
     * @param accountId
     * @return
     */
    Integer getApiCreateCount(Long accountId, String date);

    /**
     * 通过photoId 获取 url
     *
     * @param photoId
     * @return
     */
    JSONObject getUrlByPhotoId(Long photoId);

    void createCreative(String accessToken, Long unitId, KuaiShouGroupTemplate template);

    JSONObject getUnionJson(Long templateId);

    /**
     * 获取待创建2.0Id列表
     *
     * @return
     */
    List<Long> getIdList();
}
